Activate a new gateway. To activate a device and associate it with your organization, enter its serial number. Each device’s serial number can also be found on its label or packaging, or from your order confirmation email. A Not Found error could mean that the serial was not found or it has already been activated
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Gateways under the Setup & Administration category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request POST \
--url https://api.samsara.com/gateways \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"serial": "GFRV-43N-VGX"
}
'{
"data": {
"model": "VG34",
"serial": "GFRV-43N-VGX",
"accessoryDevices": [
{
"model": "EM11",
"serial": "ABCD-123-EFG"
}
],
"asset": {
"externalIds": {},
"id": "8393848111"
},
"connectionStatus": {
"healthStatus": "Not Installed",
"lastConnected": "2019-06-13T19:08:25Z"
},
"dataUsageLast30Days": {
"cellularDataUsageBytes": 4473822362122348000,
"hotspotUsageBytes": 8217313748913212000
}
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Gateway serial number
^[a-zA-Z0-9]{4}-[a-zA-Z0-9]{3}-[a-zA-Z0-9]{3}|DC_([a-zA-Z0-9]){10}|SC_([a-zA-Z0-9]){10}$"GFRV-43N-VGX"
OK response.
Show child attributes
curl --request POST \
--url https://api.samsara.com/gateways \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"serial": "GFRV-43N-VGX"
}
'{
"data": {
"model": "VG34",
"serial": "GFRV-43N-VGX",
"accessoryDevices": [
{
"model": "EM11",
"serial": "ABCD-123-EFG"
}
],
"asset": {
"externalIds": {},
"id": "8393848111"
},
"connectionStatus": {
"healthStatus": "Not Installed",
"lastConnected": "2019-06-13T19:08:25Z"
},
"dataUsageLast30Days": {
"cellularDataUsageBytes": 4473822362122348000,
"hotspotUsageBytes": 8217313748913212000
}
}
}